lp:ubuntu/trusty-proposed/gnome-online-accounts

Created by Ubuntu Package Importer on 2013-12-09 and last modified on 2014-03-27
Get this branch:
bzr branch lp:ubuntu/trusty-proposed/gnome-online-accounts
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Development

Recent revisions

39. By Jackson Doak on 2014-03-27

* New upstream release.
  - kerberos: Leaking credentials, cursors, principals and GDateTime

38. By Iain Lane on 2014-01-06

* Sync from Ubuntu: Use Conflicts/Replaces for libgoa-1.0-0; we want to make
  sure this package is really gone.
* New upstream bugfix release:
  - telepathy: Choose better icons
  - Adapt to changes in the redirect URI used by Facebook
  - live: Does not update MailEnabled
  - kerberos: don't crash if keyring credentials disappear
  - kerberos: Leaking timerfds when we fall back to polling the ccache
  - Support kernel keyring based Kerberos accounts
  - Support Windows Live mail
  - Adding Google or Facebook accounts adds a second Jabber account
  - oauth2: Propagate the error if the dialog is dismissed during refresh
  - kerberos: still consuming 100% CPU
  - identity: don't queue two temporary accounts for one identity
  - oauth2: Don't parse the DOM to detect access_denied
  - goaalarm: add locks when setting up timers
  - kerberos: correctly show sign in errors when mistyping password
* debian/libgoa-backend-1.0-1.symbols:
  - Updated

37. By Robert Ancell on 2013-12-17

* New upstream release:
  - telepathy: Choose better icons
  - Adapt to changes in the redirect URI used by Facebook
  - live: Does not update MailEnabled
  - kerberos: don't crash if keyring credentials disappear
  - kerberos: Leaking timerfds when we fall back to polling the ccache
  - Support kernel keyring based Kerberos accounts
  - Support Windows Live mail
  - Adding Google or Facebook accounts adds a second Jabber account
  - oauth2: Propagate the error if the dialog is dismissed during refresh
  - kerberos: still consuming 100% CPU
  - identity: don't queue two temporary accounts for one identity
  - oauth2: Don't parse the DOM to detect access_denied
  - goaalarm: add locks when setting up timers
  - kerberos: correctly show sign in errors when mistyping password
* debian/libgoa-backend-1.0-1.symbols:
  - Updated

36. By Steve Langasek on 2013-12-09

Use proper Conflicts/Replaces on libgoa-1.0-0 instead of a versioned
Breaks/Replaces that fails to upgrade under update-manager.

35. By Sjoerd Simons on 2013-11-02

Drop debian version from breaks

34. By Michael Biebl on 2013-09-19

[ Jeremy Bicha ]
* debian/patches/drop-google-password-interface*.patch:
  - Now that Google CalDav supports OAuth v2 for CalDav and
    evolution-data-server has been updated for it, drop the
    password-based UI that didn't work with Google Two-Factor
    Authentication anyway (patches backported from git)
* debian/patches/revert-deadlock-fix.patch:
  - Backport revert of 3.8.3 commit that could cause 100% cpu use

33. By Jeremy Bicha on 2013-09-18

* Sync with Debian. Remaining changes:
  - debian/patches/drop-google-password-interface*.patch:
    + Now that Google CalDav supports OAuth v2 for CalDav and
      evolution-data-server has been updated for it, drop the
      password-based UI that didn't work with Google Two-Factor
      Authentication anyway (patches backported from git)
  - debian/patches/drop-google-password-interface-4.patch:
    + Backport another commit to fix Google CardDAV support
  - debian/patches/revert-deadlock-fix.patch:
    + Backport revert of 3.8.3 commit that could cause 100% cpu use

32. By Jeremy Bicha on 2013-07-10

* debian/patches/drop-google-password-interface*.patch:
  - Now that Google CalDav supports OAuth v2 for CalDav and
    evolution-data-server has been updated for it, drop the
    password-based UI that didn't work with Google Two-Factor
    Authentication anyway (patches backported from git) (LP: #1175122)

31. By Michael Biebl on 2013-05-24

[ Thomas Bechtold ]
* New upstream release.

[ Tim Lunn ]
* debian/rules:
  - Explicitly enable owncloud
  - Don't try to enable Twitter or Yahoo support as they are not currently
    included
* debian/libgoa-1.0-common: install arch-independent css file here rather
  than in libgoa-1.0-0

[ Jeremy Bicha ]
* debian/control.in: Add Breaks/Replaces for above change. This is only
  needed for users of experimental though.

[ Michael Biebl ]
* Upload to unstable.

30. By Marc Deslauriers on 2013-03-21

* SECURITY UPDATE: incorrect ssl cert validation (LP: #1117411)
  - debian/patches/CVE-2013-0240.patch: properly validate ssl certs and
    fix cancellation in src/goa/goaenums.h, src/goa/goaerror.c,
    src/goabackend/goaewsclient.c, src/goabackend/goaewsclient.h,
    src/goabackend/goaexchangeprovider.c,
    src/goabackend/goagoogleprovider.c,
    src/goabackend/goahttpclient.*, src/goabackend/goautils.*,
    src/goabackend/goawebview.c.
  - debian/libgoa-1.0-0.symbols: updated with new symbol.
  - CVE-2013-0240
  - CVE-2013-1799

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/trusty/gnome-online-accounts
This branch contains Public information 
Everyone can see this information.

Subscribers